Detalhes da campanha

​

Uma campanha com sua mensagem, público alvo, janela de envio e a contagem de mensagens por situação.

Query Parameters

  • Id da campanha.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/api/campaign/details/
curl 'https://api.suit.com.br/api/campaign/details/?campaign_id=1' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": 1,
  "title": "string",
  "status": "string",
  "created_at": "2026-10-16T11:02:16.834Z",
  "starts_at": "2026-10-16T11:02:16.834Z",
  "ends_at": "2026-10-16T11:02:16.834Z",
  "coupon_id": 1,
  "message": "string",
  "image_url": "string",
  "purchase_count_days": 1,
  "audience": {
    "target_group": "string",
    "target_group_days": 1,
    "customer_tags": [
      "string"
    ],
    "customer_statuses": [
      "string"
    ],
    "customer_classifications": [
      "string"
    ],
    "has_loyalty_points": true,
    "birthday_filter": "string",
    "limit": 1
  },
  "schedule": {
    "weekdays": [
      1
    ],
    "starts_at": "11:02:16",
    "ends_at": "11:02:16"
  },
  "messages": {
    "total": 1,
    "pending": 1,
    "sending": 1,
    "sent": 1,
    "failed": 1,
    "not_sent": 1,
    "ignored": 1
  }
}